package com.yeejoin.amos.boot.module.jg.biz.edit.event;

import com.yeejoin.amos.boot.module.jg.api.dto.BizRelationDataDto;
import com.yeejoin.amos.boot.module.jg.api.dto.ChangeDataDto;
import com.yeejoin.amos.boot.module.jg.biz.edit.core.EventPublisherMapping;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;
import org.typroject.tyboot.core.foundation.context.RequestContextModel;

import java.util.List;

/**
 * @author Administrator
 */
@Getter
@EventPublisherMapping
public class BaseBizDataChangeEvent extends ApplicationEvent {

    private List<ChangeDataDto> data;

    private RequestContextModel requestContext;

    public BaseBizDataChangeEvent(Object source) {
        super(source);
    }

    private BizRelationDataDto bizRelationData;

    public BaseBizDataChangeEvent(Object source, BizRelationDataDto bizRelationData, List<ChangeDataDto> data, RequestContextModel requestContext) {
        super(source);
        this.data = data;
        this.bizRelationData = bizRelationData;
        this.requestContext = requestContext;
    }
}
